Upstream information

CVE-2019-25032 at MITRE

Description

** DISPUTED ** Unbound before 1.9.5 allows an integer overflow in the regional allocator via regional_alloc. NOTE: The vendor disputes that this is a vulnerability. Although the code may be vulnerable, a running Unbound installation cannot be remotely or locally exploited.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 7.5
Vector AV:N/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 9.8 5.3
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact High None
Integrity Impact High None
Availability Impact High Low
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1185383 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE CaaS Platform 4.0 unbound Affected
SUSE Enterprise Storage 6 unbound Affected
SUSE Linux Enterprise High Performance Computing 15 LTSS unbound Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS unbound Affected
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS unbound Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 unbound Affected
SUSE Linux Enterprise Module for Basesystem 15 SP3 unbound Affected
SUSE Linux Enterprise Server 15 ESPOS unbound Affected
SUSE Linux Enterprise Server 15 LTSS unbound Affected
SUSE Linux Enterprise Server 15 SP1 LTSS unbound Affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 unbound Affected
SUSE Linux Enterprise Server for SAP Applications 15 unbound Affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 unbound Affected
SUSE Manager Proxy 4.0 unbound Unsupported
SUSE Manager Retail Branch Server 4.0 unbound Unsupported
SUSE Manager Server 4.0 unbound Unsupported